- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Activator_Options Class Reference

`#include <Activator_Options.h>`

Collaboration diagram for Activator_Options:

[legend]
List of all members.

## Public Types
enum | SERVICE_COMMAND { SC_NONE, SC_INSTALL, SC_REMOVE, SC_INSTALL_NO_LOCATOR }
## Public Member Functions
| Activator_Options ()
int | init (int argc, char *argv[])
| Parse the command-line arguments and initialize the options.
int | init_from_registry ()
| This version should only be used when run as an nt service.
bool | service (void) const
| Service Mode.
bool | notify_imr (void) const
unsigned int | debug (void) const
| Debug level for the Implementation Repository.
const ACE_CString & | ior_filename (void) const
| Returns the file where the IOR should be stored.
SERVICE_COMMAND | service_command (void) const
| The nt service command to run (install/remove).
int | save_registry_options ()
| Save the command line arguments as registry settings. (Windows only).
const char * | cmdline (void) const
const ACE_CString & | name (void) const
## Private Member Functions
int | parse_args (int &argc, char *argv[])
| Parses and pulls out arguments for the ImR.
void | print_usage (void) const
| Print the usage information.
int | load_registry_options ()
| Loads options from the registry.
## Private Attributes
ACE_CString | cmdline_
| Our extra command line arguments.
unsigned int | debug_
| Debug level.
ACE_CString | ior_output_file_
| File where the IOR of the server object is stored.
bool | service_
| Should we run as a service?
bool | notify_imr_
SERVICE_COMMAND | service_command_
| SC_NONE, SC_INSTALL, SC_REMOVE, ...
ACE_CString | name_

## Member Enumeration Documentation

enum Activator_Options::SERVICE_COMMAND

Enumerator:

  SC_NONE |
  SC_INSTALL |
  SC_REMOVE |
  SC_INSTALL_NO_LOCATOR |

## Constructor & Destructor Documentation

Activator_Options::Activator_Options | ( |  | ) |

## Member Function Documentation

const char * Activator_Options::cmdline | ( | void |  | ) | const

unsigned int Activator_Options::debug | ( | void |  | ) | const

Debug level for the Implementation Repository.

int Activator_Options::init | ( | int | argc,
|  | char * | argv[] |
| ) |  |  |

Parse the command-line arguments and initialize the options.

int Activator_Options::init_from_registry | ( |  | ) |

This version should only be used when run as an nt service.

const ACE_CString & Activator_Options::ior_filename | ( | void |  | ) | const

Returns the file where the IOR should be stored.

int Activator_Options::load_registry_options | ( |  | ) | `[private]`

Loads options from the registry.

const ACE_CString & Activator_Options::name | ( | void |  | ) | const

bool Activator_Options::notify_imr | ( | void |  | ) | const

Notify the ImR when server processes die. Note : Currently this only works on Unix.

int Activator_Options::parse_args | ( | int & | argc,
|  | char * | argv[] |
| ) |  |  | `[private]`

Parses and pulls out arguments for the ImR.

void Activator_Options::print_usage | ( | void |  | ) | const`[private]`

Print the usage information.

int Activator_Options::save_registry_options | ( |  | ) |

Save the command line arguments as registry settings. (Windows only).

bool Activator_Options::service | ( | void |  | ) | const

Service Mode.

Activator_Options::SERVICE_COMMAND Activator_Options::service_command | ( | void |  | ) | const

The nt service command to run (install/remove).

## Member Data Documentation

ACE_CString Activator_Options::cmdline_`[private]`

Our extra command line arguments.

unsigned int Activator_Options::debug_`[private]`

Debug level.

ACE_CString Activator_Options::ior_output_file_`[private]`

File where the IOR of the server object is stored.

ACE_CString Activator_Options::name_`[private]`

bool Activator_Options::notify_imr_`[private]`

bool Activator_Options::service_`[private]`

Should we run as a service?

SERVICE_COMMAND Activator_Options::service_command_`[private]`

SC_NONE, SC_INSTALL, SC_REMOVE, ...

The documentation for this class was generated from the following files:

- Activator_Options.h
- Activator_Options.cpp